<template>
  <div>
    <div
      class="w-full p-1 flex flex-col justify-center items-center space-y-1 bg-primary-800 rounded border border-warning-500 border-opacity-40"
    >
      <div class="flex flex-row w-full justify-start">
        <span class="rounded-xl bg-primary-900 px-2"
          >Quais problemas tem encontrado?</span
        >
      </div>
      <span class="w-full text-center">Nada Encontrado</span>
      <BaseButton
        class="border border-warning-500 border-opacity-40 w-full rounded bg-warning-600 bg-opacity-20"
        @click="isModalOpen = true"
      >
        <div class="flex flex-row justify-center w-full">
          <PlusIcon class="w-5 h-5" />
        </div>
      </BaseButton>
    </div>
    <BaseModal
      v-if="isModalOpen"
      title="Adicionar Impedimento"
      @close="isModalOpen = false"
    >
      <CreateHindrance  @close="isModalOpen = false" />
    </BaseModal>
  </div>
</template>

<script>
import { PlusIcon } from '@vue-hero-icons/outline'
import BaseModal from '../modal/BaseModal.vue'
import CreateHindrance from '../forms/CreateHindrance.vue'
import BaseButton from '~/components/ui/BaseButton.vue'
export default {
  name: 'TaskHindrance',
  components: {
    CreateHindrance,
    BaseButton,
    PlusIcon,
    BaseModal,
  },
  data() {
    return {
      isModalOpen: false,
    }
  },
}
</script>
